<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderEquipmentTasks extends Model
{
    use HasFactory;
    public $timestamps = false;

    protected $table = 'ordered_equipment_tasks';

    // protected $primaryKey = 'ordered_equipment_tasks_id';

    public function equipment()
    {
        return $this->belongsTo(Equipment::class, 'equipment_id', 'equipment_id');
    }

    public function elementalTask()
    {
        return $this->belongsTo(ElementalTasks::class,'elemental_tasks_id','elemental_tasks_id');
    }

    public function furtherTasks()
    {
        return $this->belongsTo(FurtherTasks::class,'further_tasks_id','further_tasks_id');
    }
}
